package io.tswf.minecraft.blockventure.core.api.world.gen.biome

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.transmutation.expansion.ISingleEnrichBiome
import io.tswf.minecraft.blockventure.core.world.biome.BiomeEnrichContext
import io.tswf.minecraft.blockventure.core.world.biome.BiomeEnrichService
import io.tswf.minecraft.blockventure.core.world.biome.IBiomeEnrichProvider
import net.minecraft.world.biome.Biome

@CompileStatic
class BiomeEnrichManager {

    static void registerEnricher(
            @DelegatesTo(BiomeEnrichContext)
            IBiomeEnrichProvider biomeEnrichProvider
    ) {
        BiomeEnrichService.biomeEnrichProviders << biomeEnrichProvider
    }

    static void setSingleEnrich(Biome biome, boolean isEnrichSingle) {
        def singleEnrichBiome = (ISingleEnrichBiome) (Object) biome
        singleEnrichBiome.singleEnrich = isEnrichSingle
    }
}
